composerのライブラリの依存関係を調べるにはpackagistが便利

phpでcomposerのライブラリ管理をしている場合、
バージョンアップする際にライブラリ間の依存関係が重要になってきます。

この依存地獄に何度ハマったことか‥

そんな時は、以下のpackagistというツールを使うと
現状の最新バージョン、過去の履歴、そのバージョンごとの依存ライブラリを確認できるので便利です。

Packagist
The PHP Package Repository

「Search Packages..」にライブラリの名称を入力で検索できます。

 

各必要なライブラリとバージョンが確認できるので分かりやすいです。

 

それでは。

開発日記
この記事の投稿者
AKI

このサイトの共同編集者

エンジニア歴11年目、業務系システムからゲーム開発まで幅広く経験し
現在はフリーランスプログラマとして従事している。
得意言語: PHP, JavaScript, Java, C#(Unity)

フォローする
フォローする
スポンサーリンク
WoW creators

コメント

タイトルとURLをコピーしました